%define name	perl-Class-Inner
%define version	0.1
%define release	2mdk

Summary:	Class-Inner module for perl 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	Class-Inner-%{version}.tar.bz2
URL:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Class-Inner module for perl

%prep

%setup -q -n Class-Inner-%{version} 

# perl path hack
find . -type f | xargs perl -p -i -e "s|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|g"

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor

%make OPTIMIZE="%{optflags}"

make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std


%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/Class/*
%{_mandir}/*/*

%changelog
* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.1-2mdk
- rebuild

* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.1-1mdk
- initial mandrake package
